
Redmine - Feature #9330

Watchers can not see the ticket status, if their role is set to only own or assigned tickets.

2011-09-27 12:25 - Francesco Trigger

Status: Closed Start date: 2011-09-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi,

i think that should be changed, because it makes no sense that way.

If i add a ticket for an user as assignee and another user as a watcher, thats role is ONLY allowed to see tickets assigned to him, or

opened by him. The watcher is not able to see the ticket.

I think if someone is added as a watcher this user should be able to see the ticket. nevertheless he is set to see only his own or

assigned tickets.

Related issues:

Is duplicate of Redmine - Feature #8488: Create an 'Involve' mechanism to pri... New

Has duplicate Redmine - Defect #27673: Watchers cannot see issue with restric... Closed

History

#1 - 2011-09-27 12:25 - Francesco Trigger

- Assignee changed from Martin Herr to Holger Just

#2 - 2011-09-27 14:59 - Mischa The Evil

- Tracker changed from Patch to Feature

- Assignee deleted (Holger Just)

- Priority changed from High to Normal

#3 - 2011-09-29 11:29 - Holger Baumhaus

+1

#4 - 2011-09-30 01:46 - Mischa The Evil

Please look at the submission guidelines and provide some more info about the issue.

#5 - 2011-10-04 00:51 - Francesco Trigger

- Assignee set to Mischa The Evil

Hi,

this is not a feature requested but obviously a fault in design! If a watcher is assigned to a ticket in a project as a watcher and not the assignee himself

and the role of the watcher selected is only able to see assigned tickets to him or self opened issues, he will never be able to see the ticket were he

was added as a watcher.

So we have to give his role the rights to see ALL the Issues in that project instead of just his own created and assigned to tickets.

i think the objective is clear? Redmine is the newest version:

Redmine 1.2.1

MySQL Database

Ruby 1.8.7

Gems 1.6.2
#6 - 2011-10-04 11:38 - Holger Baumhaus

We have also encountered this issue and I would agree that it is not a feature request.

The way to reproduce:

create a new user, e.g. Bob, with issues visibility (in Roles & Permissions) to Issues created or assigned to the user

create a new ticket that is not assigned to any user

resulting ticket will not be viewable by the user Bob

it is not possible to add Bob as a watcher to the ticket

However, if Bob had at some point permission to view the tickets and has been added as a watcher to the ticket, after the permissions change he

won't be able to see the ticket.

change permission to view all tickets

add Bob as watcher to the ticket

switch Bob back to Issues created or assigned to the user

ticket will not be viewable by Bob

#7 - 2011-10-10 02:30 - Mischa The Evil

Francesco, Holger,

Thanks for your responses. I've done some research for this issue afterwards and I think it is more complicated. I'll try to explain based on the

reproduction-steps provided by Holger.

Holger Baumhaus wrote:

The way to reproduce:

[...]

However, if Bob had at some point permission to view the tickets and has been added as a watcher to the ticket, after the permissions change

he won't be able to see the ticket.

change permission to view all tickets

add Bob as watcher to the ticket

switch Bob back to Issues created or assigned to the user

ticket will not be viewable by Bob

 This is actually the expected behaviour due to the fact that the watcher-mechanism is not used as part of the permissions-sytem. The

watcher-mechanism is specifically designed as a email-notification system for multiple objects (such as issues, wikipages, messages etc.), not as a

system to be used within the scope of the permissions system. This is already stated by Jean-Philippe in issue #7412-#note-13.

Looking at the feedback on this issue it seems to me that this issue describes the behaviour as proposed by Vladimir Dzalbo in issue #7412-#note-3.

That proposition has finally emerged into issue #8488.

Considering the above I'd propose to close this issue in favor of issue #8488. Any thoughts?

#8 - 2011-10-14 09:26 - Holger Baumhaus

Thank you.

Issue #8448 sounds promising and would also solve some problems beyond adding watchers.

#9 - 2011-10-14 09:27 - Holger Baumhaus

Holger Baumhaus wrote:

Thank you.

Issue #8488 sounds promising and would also solve some problems beyond adding watchers.

#10 - 2011-10-18 21:20 - Mischa The Evil

- Status changed from New to Closed

- Assignee deleted (Mischa The Evil)

- Resolution set to Duplicate

Holger Baumhaus wrote:
Thank you.

Issue #8448 sounds promising and would also solve some problems beyond adding watchers.

 Thanks for the feedback. Closed as 'duplicate' accordingly.

#11 - 2016-06-07 11:07 - Tobias Fischer

I can confirm the patch private_issue_watchers_3.1.x.diff in #8488 solves this issue.

#12 - 2017-11-29 11:54 - Toshi MARUYAMA

- Has duplicate Defect #27673: Watchers cannot see issue with restricted issue visibility added
